package info.knacki.pass.git;

import info.knacki.pass.settings.SettingsManager;

public class GitInterfaceFactory {
    public static GitInterface factory(SettingsManager.Git config) {
        if (config.GetUrl().startsWith("http://") || config.GetUrl().startsWith("https://"))
            return new HttpGitProtocol(config);
        return null;
    }
}
